logo
17.01.2021 16:00
1
Jsem naprostý laik. web a nejde prý aktualizovat. Webhosting mi říká, že za pár měsíců už weby, které nebudou schopny fungovat na vyšší verzi než 7 budou vypnuty a nebo budou moci se vrátit na 5.6, která bude na hostingu pořád.
Vysvětlete mi prosím, když nebudu chtít měnit web a přejdu zpět na 5.6 (na tom už to fungovalo), co riskuji, co se může stát, nebo o co přicházím. Prosím berte v potaz, že jsem laik.
17.01.2021 16:54
2
Pro laika bude nejpodstatnější rozdíl v rychlosti 7 je cca 2x rychlejší než 5.x. V realu ten rozdíl není tak velký, protože čtení ze souborů a odezvy databáze jsou stejné.. takže asi nic co by vás mělo trápit
Největší problém je, že na 5 nevychází "aktualizace", takže sebelíp napsaná aplikace není bezpečná a kvůli tomu je to pro hosting přítěž, takže se většina starých řad zbavuje, nebo už dávno zbavila
Moc bych nevěřil tomu, že 5.6 zůstane na hostingu napořád, ono je to přestane bavit, až se nasbírají problémy.. jen tak pro zajímavost, co to je za firmu?
Jinak samozřejmě všechno jde aktualizovat z 5.6 na 7, většinou je to na pár hodin, pokud to není nějak zprasené, ale i tak to jde
17.01.2021 17:03
3
Zalezi co mate za web. Je spousta webu, kde ta zmena PHP verze vubec nic neudela. Ale take je dost webu, ktere budou najednou nefunkcni, protoze se v PHP pouzivaji jiz novymi verzemi nepodporovane funkce.

Opravdu zalezi, co mate za web a na jake technologii je postaven. Zda je to web na miru a vyuzivate treba nektereho frameworku jako je Nette a nebo mate web s redakcnim systemem Wordpress.
17.01.2021 18:10
4
Obecně je PHP7.x lepší, ale záleží na technologii, kterou používáte na webu. Slušný hosting nabízí možnost přepínání a otestování
17.01.2021 18:15
5
klidně zůstaň u 5.6, může ti to lehce zkomplikovat jeho aktualizaci a další úpravy, protože programátoři i moduly již budou podporovat jen 7 a novější. Stejně tak bys měl naplánovat v období asi 2 - 3 let přechod na 7 ještě hosting podporu úplně vypne.

PHP 5.6 je sice na konci života a nebudou vycházet jeho aktualizace, ale prakticky to nemusí mít takový dopad, existuje sice riziko, že se najde vážná zranitelnost a nebude opravena, ale drtivou většinu zranitelností lze vyřešit i jinak než samotnou aktualizací php, hosting se většinou o to postará sám.

Dopad na rychlost může být malý a těžko říct bez znalosti webu a jeho kódu, ale pokud tě rychlost teď netrápí, není to důležitý argument.
17.01.2021 18:17
6
http://www.phpbenchmarks.com/en/comparator/php ale záleží primárně na RS
17.01.2021 20:30
7
U Zoneru jsem na VPS měnil asi 20webu a ani jeden neměl problém se změnou 5.6 na 7.4
17.01.2021 20:52
8
Původně odeslal colbi
U Zoneru jsem na VPS měnil asi 20webu a ani jeden neměl problém se změnou 5.6 na 7.4
Asi tam byly jen WP a ne např. stará Presta https://devdocs.prestashop.com/1.7/b...tibility-chart

nebo Joomly https://downloads.joomla.org/technical-requirements
17.01.2021 21:12
9
Všechno jde otázka zní za kolik a jestli se to vyplatí...

V dnešní době se vše posouva. Jednou bude provoz 5.6 stejně velký problém jako už je problém provozovat Php4 nebo php5.3. Pokud se technologicky posun nebo jiné předělání nevyplatí, tak pak by se měl projekt asi úplně ukončit.
18.01.2021 01:08
10
8
18.01.2021 05:56
11
Nyní musíme řešit jiné priority a předělání webu chceme pořešit tak 3 roky, tak zvažujeme zda to po tu dobu na 5.6 půjde, nebo je to zcela mimo realitu.
18.01.2021 07:18
12
Původně odeslal koicz
Nyní musíme řešit jiné priority a předělání webu chceme pořešit tak 3 roky, tak zvažujeme zda to po tu dobu na 5.6 půjde, nebo je to zcela mimo realitu.
Určitě půjde - stačí vlastní VPSka a zůstat na starém OS a verzi PHP. Jak se k tomu zachová konkrétní hosting, lze těžko odhadnout.

Zkuste si nalézt, kdo dnes nabízí PHP např. 5.3 a nižší verzi - téměř nikdo
18.01.2021 09:14
13
Původně odeslal vdusek
Určitě půjde - stačí vlastní VPSka a zůstat na starém OS a verzi PHP. Jak se k tomu zachová konkrétní hosting, lze těžko odhadnout.
aneb doporučuješ systém neaktualizovat a nechat ho potenciálně napadnutelný? To za mě není nejlepší nápad. Těch případů, kdy se to firmám nepěkně vymstilo mám v rukávu nespočet.

Poptávka po 5.6 je, věřím, že pár hostingů s 5.6 vydrží, je to ale riziko, nikdo nedokáže říct, jestli se neobjeví nějaká neočekávaná událost.
18.01.2021 09:25
14
Původně odeslal TomášX
aneb doporučuješ systém neaktualizovat a nechat ho potenciálně napadnutelný? To za mě není nejlepší nápad. Těch případů, kdy se to firmám nepěkně vymstilo mám v rukávu nespočet.

Poptávka po 5.6 je, věřím, že pár hostingů s 5.6 vydrží, je to ale riziko, nikdo nedokáže říct, jestli se neobjeví nějaká neočekávaná událost.
Ano, ponechat si s vědomím možného rizika a minimálně např. předřadit CDN

Prostě si udělat analýzu rizik (technickou i finanční) a buď jsou rizika akceptovatelná a nebo ne

BTW - dodnes můžeš např. najít weby na Joomla na PHP < 5.6
18.01.2021 09:47
15
osobně bych teda doporučil mít aktuální OS a jen tam provozovat starší php, odstranit co nejvíce modulů a trochu to hlídat.

Provozujeme třeba pro jeden státní systém 5.1.6, pár chyb jsme už backportovali, některé byly vážné. S použití selinux se dá spoustu typů útoků eliminovat. Správa takového vps ale může být dražší než aktualizace většiny aplikací.

Redhat v rámci RHEL 7 bude podporovat php 5.6 do poloviny roku 2024 v rámci jejich software collection, centos 7 jejich software collection přebírá a podporu bude držet. Pokud někdo tedy bude chtít php 5.6 na další 3 roky, doporučil bych tedy zvolit na vps centos 7 a přes scl (software collection) tam instalovat php56.

Dlouhá podpora bude i na openbsd, ale to je jiný svět.
18.01.2021 10:05
16
Spravne reseni melo byt resit prechod na php7 uz pred 2 roky. Samozrejme zajistit si beh na 5.6 jinde je moznost, ale bude to stat vic penez: prace za migraci, priprava daneho prostredi + drazsi provoz. Ale pokud mate na to platit vic proc ne, pak se ozvete a provoz vam zajistim.
18.01.2021 11:12
17
Nojo, a nebude postih od Google? Bude potreba SSL a kdyz tam bude stara verze PHP? Jen dotaz :)
18.01.2021 11:52
18
Původně odeslal colbi
Nojo, a nebude postih od Google? Bude potreba SSL a kdyz tam bude stara verze PHP? Jen dotaz :)
Proto nasadit před web CDNku typu Cloudflare - stačí asi varianta zdarma
18.01.2021 11:55
19
Původně odeslal josef.jebavy
Spravne reseni melo byt resit prechod na php7 uz pred 2 roky. Samozrejme zajistit si beh na 5.6 jinde je moznost, ale bude to stat vic penez: prace za migraci, priprava daneho prostredi + drazsi provoz. Ale pokud mate na to platit vic proc ne, pak se ozvete a provoz vam zajistim.
Dobrý den na 7 to jede ale výše nepojede. Přechod na 5.6 je zdarma, jen se přepne verze v hostingu.Funkce běží, to už víme, vyzkoušeno.
18.01.2021 12:56
20
Původně odeslal colbi
Nojo, a nebude postih od Google? Bude potreba SSL a kdyz tam bude stara verze PHP? Jen dotaz :)
php neodbavuje ssl, to dělá apache/nginx či cokoliv před tím, php sám o sobě není webový server (teda nepočíteje nový integrovaný určený pro vývoj a testy). Google a ani nikdo externí se nemá jak dozvědět, jakou verzi php web používá, teda pokud mu to nějaká část webu sama neřekne.